Update or create a product (upsert)

Requires the PRODUCT.CREATE or PRODUCT.UPDATE permission.

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Query parameters

identifier_fieldstringOptional
Which field to use to identify whether the resource exists or not
custom_field_referencestringOptional
Which custom field to use to identify whether the resource exists or not
field_actionsmap from strings to stringsOptional
The list of actions for specific fields.

Request

This endpoint expects an object.
category_idstringOptional
The resource ID of the product category, that belongs to the product.
categoryobject or nullOptional
parent_product_idstring or nullOptional
The resource ID of the original product, to which the product will belong to.
namestringOptionalformat: "^.*$"0-256 characters
referencestringOptionalformat: "^\S+$"0-256 characters
descriptionstring or nullOptionalformat: "^.*$"0-256 characters
statusenum or nullOptional
The status of the product.
Allowed values:
product_typeenumOptional
Allowed values:
tax_categoryenum or nullOptional
The default tax category applied to the product.
Allowed values:
featureslist of objects or nullOptional
The features associated with the product.
custom_fieldslist of objects or nullOptional
display_orderinteger or nullOptional
Determines the order in which products are displayed on overview pages and invoices. The lowest number gets the highest priority.
linked_integrationslist of objects or nullOptional
billing_entity_idstring or nullOptional
The resource ID of the billing entity linked to this product.

Response

Created
object_typestring or nullRead-only
idstring or nullRead-only
category_idstring
The resource ID of the product category, that belongs to the product.
categoryobject or null
parent_product_idstring or null
The resource ID of the original product, to which the product will belong to.
namestringformat: "^.*$"0-256 characters
referencestringformat: "^\S+$"0-256 characters
descriptionstring or nullformat: "^.*$"0-256 characters
statusenum or null
The status of the product.
Allowed values:
product_typeenum
Allowed values:
tax_categoryenum or null
The default tax category applied to the product.
Allowed values:
featureslist of objects or null
The features associated with the product.
custom_fieldslist of objects or null
display_orderinteger or null
Determines the order in which products are displayed on overview pages and invoices. The lowest number gets the highest priority.
linked_integrationslist of objects or null
billing_entity_idstring or null
The resource ID of the billing entity linked to this product.
customer_idstring or nullRead-only

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error